Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.trmi
Class _RecoveryServer_Stub

    java.lang.Object
      org.omg.CORBA.portable.ObjectImpl
          org.omg.CORBA_2_3.portable.ObjectImpl
              javax.rmi.CORBA.Stub
                  com.atomikos.icatch.trmi._RecoveryServer_Stub

All Implemented Interfaces:
  RecoveryServer, Serializable, Remote, Object

    public class _RecoveryServer_Stub

extends Stub
implements RecoveryServer

See Also:
  Serialized Form

Constructor Summary
`_RecoveryServer_Stub()`

Method Summary
`String[]` | `_ids()`
`Boolean` | `replayCompletion(String arg0, Participant arg1)` Replay completion for given root, on given participant.

Methods inherited from class javax.rmi.CORBA.Stub
`connect, equals, hashCode, toString`

Methods inherited from class org.omg.CORBA_2_3.portable.ObjectImpl
`_get_codebase`

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### _RecoveryServer_Stub

    public _RecoveryServer_Stub()

Method Detail

### _ids

    public String[] _ids()

  Specified by:
    `_ids` in class `ObjectImpl`

### replayCompletion

    public Boolean replayCompletion(String arg0,
                                    Participant arg1)
                             throws RemoteException

  Description copied from interface: `RecoveryServer`
  Replay completion for given root, on given participant.

  Specified by:
    `replayCompletion` in interface `RecoveryServer`
  Parameters:
    `arg0` - The root.
    `arg1` - The participant.
  Throws:
    `RemoteException` - On remote failure.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.